LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XHierarchicalPropertySetInfo Interface Referencepublished

specifies a hierarchy of properties. More...

`import"XHierarchicalPropertySetInfo.idl";`

Inheritance diagram for XHierarchicalPropertySetInfo:

## Public Member Functions
com::sun::star::beans::Property | getPropertyByHierarchicalName ([in] string aHierarchicalName) raises ( com::sun::star::beans::UnknownPropertyException )
boolean | hasPropertyByHierarchicalName ([in] string aHierarchicalName)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a hierarchy of properties.

The specification only describes the properties, it does not contain any values.

## Member Function Documentation

## ◆ getPropertyByHierarchicalName()

com::sun::star::beans::Property getPropertyByHierarchicalName | ( | [in] string | aHierarchicalName | ) |
raises | ( | com::sun::star::beans::UnknownPropertyException
| ) |  |

Returns
  the property with the specified name from the hierarchy.

Parameters

  aHierarchicalName | specifies the nested name of the property.

Exceptions

  UnknownPropertyException | if the property does not exist.
  com::sun::star::lang::IllegalArgumentException | if aHierarchicalName is not a well-formed nested name for this hierarchy. An implementation is not required to detect this condition.

## ◆ hasPropertyByHierarchicalName()

boolean hasPropertyByHierarchicalName | ( | [in] string | aHierarchicalName | ) |

Returns
  `TRUE` if a property with the specified name exists; otherwise `FALSE` is returned.

Parameters

  aHierarchicalName | specifies the name of the property.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if aHierarchicalName is not a well-formed nested name for this hierarchy. An implementation is not required to detect this condition.

The documentation for this interface was generated from the following file:

- com/sun/star/beans/XHierarchicalPropertySetInfo.idl